XEN-DELETE-IMAGE(8)

NAME
xen-delete-image - Delete previously created Xen instances.

SYNOPSIS
  xen-delete-image [options] [--hostname=]imageName1 [--hostname=]imageName2

  Filename Options:
   --extension  Specify the file extension to use. An empty extension is equal
                to any extension.

  Help Options:
   --help     Show help information.
   --manual   Read the manual for this script.
   --version  Show the version information and exit.
   --verbose  Show diagnostic output.

  General options:
   --dir      Specify the output directory where images were previously saved.
   --evms     Specify the EVMS container to use.
   --lvm      Specify the LVM volume to use.
   --zpool    Specify the ZFS pool to use.

  Specifying hosts:
   --hostname Specify the image name to delete.

  Testing options:
   --test      Don't complain if we're not invoked by root.

OPTIONS

--dir Specify the output directory where images were previously saved.
--evms Specify the EVMS container where images were previously saved.
--help Show help information.
--hostname Specify the hostname to delete.
--lvm Specify the LVM volume group where images were previously saved.
--zpool Specify the ZFS pool where images were previously saved.
--manual Read the manual for this script.
--test Do not complain, or exit, if the script is not executed by the root user. (Only works in conjunction with --dir.)
--version Show the version number and exit.

DESCRIPTION
  xen-delete-image is a simple script which allows you to delete
 Xen instances which have previously been created by xen-create-image.

  You must be root to run this script as it removes the Xen configuration
 file from /etc/xen and potentially removes LVM and EVMS volumes.

  (When invoked with the '--test' flag the script will continue running,
 but will fail to remove anything which the user does not have permission
 to delete.)

LOOPBACK EXAMPLE
  Assuming that you have three images 'foo', 'bar', and 'baz', stored
 beneath /home/xen the first two may be deleted via:

    xen-delete-image --dir=/home/xen foo bar

  You may also delete them by running:

    xen-delete-image --dir=/home/xen --hostname=foo --hostname=bar

  (The matching Xen configuration files beneath /etc/xen will also be
 removed.)

LVM EXAMPLE
  Assuming that you have the volume group 'skx-vol' containing three
 Xen instances 'foo', 'bar', and 'baz' the first two may be deleted via:

    xen-delete-image --lvm=skx-vol foo bar

  This will remove the volumes 'foo-disk', 'foo-swap', 'bar-disk',
 and 'bar-swap'.

  Note that if the images were created with "--noswap" then the swap
 volumes will not be present, so will not need to be deleted.

  The Xen configuration files will also be removed from beneath /etc/xen.

EVMS EXAMPLE
  Assuming that you have the container 'mycontainer' containing three
 Xen instances 'foo', 'bar', and 'baz' the first two may be deleted via:

    xen-delete-image --evms=lvm2/mycontainer --hostname=foo --hostname=bar

  This will remove the volumes 'foo-disk', 'foo-swap', 'bar-disk',
 and 'bar-swap'.

  Note that if the images were created with "--noswap" then the swap
 volumes will not be present, so will not need to be deleted.

  The Xen configuration files will also be removed.

AUTHORS
 Steve Kemp, https://steve.fi/
 Axel Beckert, https://axel.beckert.ch/
 Stéphane Jourdois

LICENSE
Copyright (c) 2005-2009 by Steve Kemp, (c) 2010-2013 by The Xen-Tools Development Team. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The LICENSE file contains the full text of the license.